﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Interactions;
using Infragistics.Controls.Grids;
using System.Diagnostics;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            SilverlightControl1 gridControl = new SilverlightControl1();
            XamDialogWindow dialogWindow = new XamDialogWindow();
            dialogWindow.IsModal = true;
            dialogWindow.Width = 400;
            dialogWindow.Height = 400;
            dialogWindow.WindowStateChanging += new EventHandler<WindowStateChangingEventArgs>(dialogWindow_WindowStateChanging);
            Grid g = new Grid();
            g.Children.Add(gridControl);
            dialogWindow.Content = g;

            LayoutRoot.Children.Add(dialogWindow);
        }

        void dialogWindow_WindowStateChanging(object sender, WindowStateChangingEventArgs e)
        {
            Infragistics.Controls.Interactions.WindowState ws = e.NewWindowState;
            if (ws == Infragistics.Controls.Interactions.WindowState.Hidden)
            {
                XamDialogWindow dw = sender as XamDialogWindow;
                Grid grid = dw.Content as Grid;
                SilverlightControl1 control = grid.Children[0] as SilverlightControl1;
                XamGrid xg = (control.Content as Grid).Children[0] as XamGrid;
                xg.ExitEditMode(false);
            }
            Debug.WriteLine("DialogWindowClosing");
        }
    }
}
